<!-- Page Heading -->
<!-- <div class="d-sm-flex align-items-center justify-content-between mb-4">
  <h1 class="h3 mb-0 text-gray-800">Utilites</h1>
</div> -->

<!-- Add Utility Button -->
<div class="mb-2">
  <button class="btn btn-primary" (click)="openModal(addUtilityModal)">Add Utility</button>
</div>

<!-- Utility List Component -->
<simpliflysaas-utility-list [loading]="utilitiesLoading" [utilityList]="utilityList"
  [totalUtilities]="totalUtilitiesCount"></simpliflysaas-utility-list>


<!-- Add Utility Modal -->
<ng-template #addUtilityModal>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Add Utility</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="modalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="utilityForm">
      <label>Title</label><sup>*</sup>
      <div class="form-group">
        <input type="text" class="form-control" formControlName="title">
        <div *ngIf="title?.errors?.required && submitted">
          <span class="error-msg">Title is required.</span>
        </div>
      </div>
      <label>Table Name</label><sup>*</sup>
      <div class="form-group">
        <input type="text" class="form-control" formControlName="table_name">
        <div *ngIf="tableName?.errors?.required && submitted">
          <span class="error-msg">Table Name is required.</span>
        </div>
      </div>
      <label>Path</label><sup>*</sup>
      <div class="form-group">
        <input type="text" class="form-control" formControlName="path">
        <div *ngIf="path?.errors?.required && submitted">
          <span class="error-msg">Path is required.</span>
        </div>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-primary" class="btn btn-primary" (click)="onSubmitUtility()">Save</button>
    <button class="btn btn-danger" type="button" (click)="modalRef.hide()">Cancel</button>
  </div>
</ng-template>
<!-- End of Add Utility Modal -->